import request from '@/utils/request'

// 查询职业兴趣类型列表
export function listSyOccupationInterstType(query) {
  return request({
    url: '/sy/syOccupationInterstType/list',
    method: 'get',
    params: query
  })
}

// 查询职业兴趣类型详细
export function getSyOccupationInterstType(id) {
  return request({
    url: '/sy/syOccupationInterstType/' + id,
    method: 'get'
  })
}

// 新增职业兴趣类型
export function addSyOccupationInterstType(data) {
  return request({
    url: '/sy/syOccupationInterstType',
    method: 'post',
    data: data
  })
}

// 修改职业兴趣类型
export function updateSyOccupationInterstType(data) {
  return request({
    url: '/sy/syOccupationInterstType',
    method: 'put',
    data: data
  })
}

// 删除职业兴趣类型
export function delSyOccupationInterstType(id) {
  return request({
    url: '/sy/syOccupationInterstType/' + id,
    method: 'delete'
  })
}

// 导出职业兴趣类型
export function exportSyOccupationInterstType(query) {
  return request({
    url: '/sy/syOccupationInterstType/export',
    method: 'get',
    params: query
  })
}